Extensions to webcam to use Photobit PB-0100 Sensor
by Mark Cave-Ayland

mca198@ecs.soton.ac.uk

----------------------

I needed to transmit pictures from a webcam via a wireless link for a
project, so I chose a Quickcam Express after finding Georg Acher's web
page. However, the model I received used the PB-0100 sensor rather than
the HP/Agilent HDCS1000, so I set about using Georg's notes to get
pictures out of the webcam.

The following modifications were made:

	- Corrected Photobit sensor detection code (this is because
	all PB registers are 16bit, hence we need to check HH for the
	value 0x64).

	- Added quick_i2c_out2() for writing to 16bit PB registers

	- Existing code (hopefully!) left unmodified, so it should work on
	the HP/Agilent sensor aswell

	- Different image buffer size needed, because I didn't feel like
	re-writing the Bayer-RGB code

	- Added code in main() to setup and activate the PB sensor


Comments:

	- The (software) automatic exposure has been disabled for the PB
	sensor as it is built into hardware. But it still isn't much good


Invaluable aids:

	- Georg Acher's web page
	  http://hotswap.in.tum.de/~acher/quickcam/quickcam.html

	- The PB-0100 data sheet from
	  http://www.photobit.com

	- USB Snoopy
	  http://www.jps.net/~koma/
