 /*****************************************************************************
 *
 *  hdcs1000.c - HP/Agilent HDCS1000 register definitions
 *
 *  Copyright (C) 2000 Georg Acher (acher@in.tum.de)
 *
 *****************************************************************************/

// I2C Address for the HDCS1000

#define HDCS_ADDR 0xaa

// I2C registers in HDCS1000

#define HDCS_IDENT 0x00       	// Identification
#define HDCS_STATUS 0x02	// Status
#define HDCS_IMASK 0x04		// Interrupt mask
#define HDCS_PCTRL 0x06		// Pad control
#define HDCS_PDRV 0x08		// Pad drive
#define HDCS_ICTRL 0x0a		// Interface control
#define HDCS_ITMG 0x0c		// Interface timing
#define HDCS_BFRAC 0x0e		// Baud fraction

#define HDCS_REG10 0x10		// Baud rate
#define HDCS_ADCCTRL 0x12	// ADC Control


#define HDCS_FWROW 0x14		// First window row
#define HDCS_FWCOL 0x16		// First window column
#define HDCS_LWROW 0x18		// Last window row
#define HDCS_LWCOL 0x1a		// Last window column

#define HDCS_TCTRL 0x1c		// Timing control

#define HDCS_GAIN_GREEN1 0x1e
#define HDCS_GAIN_RED    0x20
#define HDCS_GAIN_BLUE   0x22
#define HDCS_GAIN_GREEN2 0x24

#define HDCS_ROWEXPL 0x26	// Row exposure L
#define HDCS_ROWEXPH 0x28	// row exposure H

#define HDCS_SROWEXPL  0x2a	// Sub-row exposure L
#define HDCS_SROWEXPH  0x2C	// Sub-row exposure H
#define HDCS_CONFIG  0x2E	// Configuration

#define HDCS_CONTROL 0x30	// Control

#define HDCS_REG32  0x32        // These registers are not mentioned
#define HDCS_REG34  0x34        // in the data sheet, but they
#define HDCS_REG36  0x36        // have funny effects...
#define HDCS_REG38  0x38
